use "$SwissMRL/Data/mrl_data_v2", clear
replace country = "ARG" if country == "ARGENTINA"
replace country = "AUS" if country == "AUSTRALIA"
replace country = "BRA" if country == "BRAZIL"
replace country = "CAN" if country == "CANADA"
replace country = "CHL" if country == "CHILE"
replace country = "CHN" if country == "CHINA"
replace country = "COL" if country == "COLOMBIA"
replace country = "EGY" if country == "EGYPT"
replace country = "HKG" if country == "HONGKONG"
replace country = "IND" if country == "INDIA"
replace country = "IDN" if country == "INDONESIA"
replace country = "ISR" if country == "ISRAEL"
replace country = "JPN" if country == "JAPAN"
replace country = "KOR" if country == "KOREA-SOUTH"
replace country = "MYS" if country == "MALAYSIA"
replace country = "MEX" if country == "MEXICO"
replace country = "MAR" if country == "MOROCCO"
replace country = "NZL" if country == "NEW ZEALAND"
replace country = "NOR" if country == "NORWAY"
replace country = "PHL" if country == "PHILIPPINES"
replace country = "RUS" if country == "RUSSIAN FED."
replace country = "SGP" if country == "SINGAPORE"
replace country = "ZAF" if country == "SOUTH-AFRICA"
replace country = "TWN" if country == "TAIWAN"
replace country = "THA" if country == "THAILAND"
replace country = "TUR" if country == "TURKEY"
replace country = "UKR" if country == "UKRAINE"
replace country = "USA" if country == "USA"
replace country = "VNM" if country == "VIETNAM"
replace country = "ASEAN" if country == "ASEAN COUNTRIES"
save "$SwissMRL/Data/mrl_data_v3", replace

* Duplicates ASEAN standards 
preserve
foreach x in ASEAN MYS PHL IDN VNM THA{
use "$SwissMRL/Data/mrl_data_v3", clear
	keep if country == "`x'"
	rename mrl mrl_`x'
	drop country
	save "$SwissMRL/Data/mrl_data_`x'", replace
}
restore

use "$SwissMRL/Data/mrl_data_v3", clear 
	*drop if country == "SWITZERLAND" | country == "CODEX"
	merge m:1  activ cropgroup crop t using  "$SwissMRL/Data/mrl_data_ASEAN", keep(1 3) nogen
	merge m:1  activ cropgroup crop t using  "$SwissMRL/Data/mrl_data_MYS", keep(1 3) nogen
	merge m:1  activ cropgroup crop t using  "$SwissMRL/Data/mrl_data_PHL", keep(1 3) nogen
	merge m:1  activ cropgroup crop t using  "$SwissMRL/Data/mrl_data_IDN", keep(1 3) nogen
	merge m:1  activ cropgroup crop t using  "$SwissMRL/Data/mrl_data_VNM", keep(1 3) nogen
	merge m:1  activ cropgroup crop t using  "$SwissMRL/Data/mrl_data_THA", keep(1 3) nogen
	order country activ cropgroup crop t mrl mrl_swiss
	
	replace mrl_ASEAN = mrl_MYS if mrl_MYS != . & mrl_ASEAN == .
	replace mrl_ASEAN = mrl_PHL if mrl_PHL != . & mrl_ASEAN == .
	replace mrl_ASEAN = mrl_IDN if mrl_IDN != . & mrl_ASEAN == .
	replace mrl_ASEAN = mrl_VNM if mrl_VNM != . & mrl_ASEAN == .
	replace mrl_ASEAN = mrl_THA if mrl_THA != . & mrl_ASEAN == .

preserve
keep if mrl_ASEAN != . 
keep activ cropgroup crop t mrl_swiss mrl_codex mrl_ASEAN
gen str country = "ASEAN"
rename mrl_ASEAN mrl 
duplicates drop
save "$SwissMRL/Data/mrl_asean", replace
restore 

drop if country == "ASEAN" | country == "MYS"| country == "PHL"| country == "IDN"| country == "VNM" | country == "THA"
append using "$SwissMRL/Data/mrl_asean"
save "$SwissMRL/Data/mrl_data_v3", replace

foreach x in BRN KHM IDN LAO MYS MMR PHL SGP THA VNM TLS{
use "$SwissMRL/Data/mrl_data_v3",  clear
capture drop newobs
expand 2 if country == "ASEAN", gen(newobs)
replace country = "`x'" if newobs == 1
save "$SwissMRL/Data/mrl_data_v3", replace
}
drop newobs 
drop if country == "ASEAN"
save "$SwissMRL/Data/mrl_data_v3", replace

/* Duplicate EU MRLS
foreach x in AUT BEL CZE DNK EST FIN FRA GRC HUN IRL ITA LVA LTU LUX POL PRT SVK SVN ESP SWE GBR MLT DEU NLD CYP BGR HRV ROU{
use "$SwissMRL/Data/mrl_data",  clear
capture drop newobs
expand 2 if country == "EU-MRLS-HARMONIZED", gen(newobs)
replace country = "`x'" if newobs == 1
save "$SwissMRL/Data/mrl_data", replace
}
drop newobs 
drop if country == "EU-MRLS-HARMONIZED"
save "$SwissMRL/Data/mrl_data", replace*/

/* Duplicate GCC MRLs
foreach x in BHR ARE SAU OMN QAT KWT{
use "$SwissMRL/Data/mrl_data",  clear
capture drop newobs
expand 2 if country == "GULF-COOPERATION-COUNCIL", gen(newobs)
replace country = "`x'" if newobs == 1
save "$SwissMRL/Data/mrl_data_v3", replace
}
drop newobs 
drop if country == "GULF-COOPERATION-COUNCIL"
drop mrl_ASEAN mrl_MYS mrl_PHL mrl_IDN
compress*/
 
drop mrl_ASEAN mrl_MYS mrl_PHL mrl_IDN mrl_VNM mrl_THA
replace country = "EU" if country == "EU-MRLS-HARMONIZED"
replace country = "GCC" if country == "GULF-COOPERATION-COUNCIL"
*
*replace country = "ASEAN" if country == "BRN"
*drop if country == "KHM" | country == "IDN" | country == "LAO" | country == "MYS" | country == "MMR" | country == "PHL" | country == "SGP" | country == "THA" | country == "VNM"

save "$SwissMRL/Data/mrl_data_v3", replace